﻿@{
    Layout = "~/Views/Shared/Layout/_Layout.cshtml";
    ViewData["PageName"] = ViewData["PageName"];
    ViewData["PageParentName"] = ViewData["PageParentName"];
    ViewData["MenuType"] = ViewData["MenuType"];

}
@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers


<div class="row clearfix scrolltab">
    <div class="col-lg-12 col-md-12 col-sm-12">
        <div class="card">
            <div class="header">
                <h2>@ViewData["PageName"]   </h2>
            </div>
            <div class="body">
                <div class="row clearfix">
                    <div class="col-sm-4">
                        <label for="keysearch">Tìm theo từ khóa</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="keysearch" id="keysearch" placeholder="Họ tên, email, số đt,....">
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label for="ddlDepartment">Bộ phận</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlDepartment" id="ddlDepartment">
                        </div>
                    </div>
                    <div class="col-sm-3">
                        <label for="ddlRankSearch">Chức vụ</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlRankSearch" id="ddlRankSearch">
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <label for="ddlStatusSearch">Trạng thái</label>
                        <div class="form-group">
                            <input type="text" class="form-control" for="ddlStatusSearch" id="ddlStatusSearch">
                        </div>
                    </div>
                </div>
                <div class="row clearfix">
                    <div class="col-sm-12">
                        <div class="mt-4">
                            <button onclick="SearchEmp()" class="btn btn-success ladda-button" data-style="expand-right" id="btn-searchemp"><i class="fa fa-search"></i> Tìm kiếm</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card">
            <div class="header">
                <h2>@ViewData["PageName"] </h2>
                <ul class="header-dropdown">
                    <li><a href="/emp/create" class="btn btn-info">Thêm mới</a></li>
                </ul>
            </div>
            <div class="body">
                <div id="Gridlist">

                </div>
            </div>
        </div>
    </div>
</div>
<!-- Large Size -->
<div class="modal fade" id="RoleModal" tabindex="-1" role="dialog">
    <div class="modal-dialog " role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="title" id="largeModalLabel">Phân quyền</h4>
            </div>
            <div class="modal-body">
                <div class="col-lg-12 col-md-12">
                    <div class="clearfix m-b-20">
                        <input id="EmpID" hidden />
                        <div class="form-group">
                            <label> Chọn Quyền hạn</label>
                            <input id="listroleid" />
                        </div>
                        <br>
                        <button onclick="UpdateRoles()" id="btn-updaterole" class="ladda-button btn btn-success"><i class="fa fa-check-circle"></i> <span id="submit">Cập nhật</span></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


@section css{
    <!-- layout css -->
    <link rel="stylesheet" href="~/admin/css/ladda.min.css" />
    <link rel="stylesheet" href="~/lib/vendor/nestable/jquery-nestable.css" />
    <link rel="stylesheet" href="~/lib/vendor/sweetalert/sweetalert.css">
    <link rel="stylesheet" href="~/lib/vendor/summernote/dist/summernote.css" />
    <!-- Layout kendo -->
    <link href="~/lib/kendo/library/kendo.common-material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.rtl.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.min.css" rel="stylesheet" />
    <link href="~/lib/kendo/library/kendo.material.mobile.min.css" rel="stylesheet" />

    <!-- custom css -->
    <link href="~/css/manager/custom-kendo.css" rel="stylesheet" />
    <link href="~/css/manager/emp/empmanager.css" rel="stylesheet" />

}
@section Scripts {
    <!-- Page javascript -->
    <script src="~/admin/js/nestable.js"></script>
    <script src="~/admin/js/ladda.min.js"></script>
    <!-- Assets js -->
    <script src="~/lib/assets/js/pages/ui/dialogs.js"></script>
    <script src="~/lib/vendor/summernote/dist/summernote.js"></script>

    <!-- Function js -->
    <script src="~/lib/vendor/sweetalert/sweetalert.min.js"></script>
    <script src="~/lib/ckeditor/ckeditor.js"></script>

    <script src="~/lib/kendo/library/kendo.all.min.js"></script>

    <script src="~/js/manager/base.js"></script>
    <script src="~/js/manager/kendocontroller.js"></script>
    <script src="~/js/manager/Employee/EmpFunction.js"></script>
    <script type="text/x-kendo-template" id="kendodetailtemplate">
        <div class="tabstrip">
            <ul>
                <li class="k-state-active">
                    Information
                </li>
                <li>
                    Education
                </li>
                <li>
                    Experience
                </li>
                <li>
                    Social
                </li>
            </ul>
            <div>
                <div class='employee-details'>
                    <ul class="emp_specialisms"> </ul>
                </div>
            </div>
            <div>
                <div class='employee-details'>
                    <div class="emp_education"> </div>
                </div>
            </div>
            <div>
                <div class='employee-details'>
                    <div class="emp_experience"> </div>
                </div>
            </div>
            <div>
                <div class='employee-details'>
                    <div class="emp_socials"> </div>
                </div>
            </div>

        </div>
    </script>
}

